#pragma once
#include "DangerousRacers/Button.h"
#include "DangerousRacers/Label.h"
#include "DangerousRacers/Scene.h"
#include "SFML/Graphics/RectangleShape.hpp"
#include "SFML/Graphics/Texture.hpp"

class TutorialOverScene : public Scene {
private:
    bool wallTileLoaded = false;
    sf::Texture wallTileTexture;
    sf::RectangleShape wallTile;

    Label gameOverLabel{"Tutorial\nComplete!", {405.f/2, 720.f*0.25f}, true, true};
    Button returnButton{ "Return to Main Menu", { 405.f / 2, 720.f / 2 }, [&] {
        sceneManager.changeScene("MainMenu");
    } };
public:
    TutorialOverScene(SceneManager& _sceneManager);

    void start();

    void update(float deltaTime);
    void render(sf::RenderWindow& window);
    void eventHandler(sf::Event& event);
};
